> ## Documentation Index
> Fetch the complete documentation index at: https://paragraph.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coin's sell args by contract address

> Retrieve the args needed to sell a coin using a wallet that has it



## OpenAPI

````yaml /paragraph-api/openapi.json get /v1/coins/sell/contract/{contractAddress}
openapi: 3.1.0
info:
  title: Paragraph API
  version: 1.0.0
  description: >-
    Public API for interacting with Paragraph publications, posts, users, and
    coined writing.


    ## Rate Limiting

    API requests are rate-limited to ensure fair usage. Contact
    support@paragraph.com for higher limits.


    ## Pagination

    List endpoints support cursor-based pagination using `cursor` and `limit`
    parameters.
  contact:
    name: Paragraph Support
    email: support@paragraph.com
    url: https://paragraph.com/support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://public.api.paragraph.com/api
    description: Production server
security:
  - {}
tags:
  - name: publications
    description: Operations related to publications
  - name: posts
    description: Operations related to posts and content
  - name: users
    description: Operations related to users and authors
  - name: coins
    description: Operations related to tokenized content
  - name: subscribers
    description: Operations related to subscriber management (requires API key)
paths:
  /v1/coins/sell/contract/{contractAddress}:
    get:
      tags:
        - coins
      summary: Get coin's sell args by contract address
      description: Retrieve the args needed to sell a coin using a wallet that has it
      operationId: getSellArgsByContract
      parameters:
        - name: contractAddress
          in: path
          required: true
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          description: Contract address of the coin
        - name: walletAddress
          in: query
          description: Address of the wallet that is going to sell the coin
          required: true
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
        - name: amount
          in: query
          description: Amount of coin in wei that is going to be swapped to WETH
          required: true
          schema:
            type: string
            pattern: '[0-9]+'
      responses:
        '200':
          description: Sell args retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  commands:
                    type: string
                    pattern: ^0x[a-fA-F0-9]*
                    description: Commands needed to do a token swap
                  inputs:
                    type: array
                    items:
                      type: string
                      pattern: ^0x[a-fA-F0-9]*
                    description: Inputs needed to do a token swap
                required:
                  - commands
                  - inputs
        '404':
          description: Sell args not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg

````